[law]
id = 10001702
name = "UGB"

[[law.classifiers]]
name = " Buch"
is_root = true
match_function = "contains"

[[law.classifiers]]
name = "Abschnitt"
is_root = false
match_function = "contains"

[[law.classifiers]]
name = "Titel"
is_root = false
match_function = "contains"

[[law.classifiers]]
name = "roman numbering"
is_root = false
match_function = "starts_with_roman_number"


[parser]
remove_strings = [
	"<gdash />",
	"<b>", "</b>",
	"<i>", "</i>",
	"<n>", "</n>",
	"<super>", "</super>",
]

[[parser.replace_rules]]
find = "<amp />" 
replace_with = "AMPERSAND"

[[parser.replace_rules]]
find = """<ueberschrift typ="g1" ct="text" halign="c">Geschäftsführung durch mehrere Gesellschafter;</ueberschrift>"""
replace_with = """<ueberschrift typ="g1" ct="text" halign="c">I. Geschäftsführung durch mehrere Gesellschafter;</ueberschrift>"""

[[parser.replace_rules]]
find = """<ueberschrift typ="para" ct="text" halign="c">Verteilung des Gesellschaftsvermögens;</ueberschrift>"""
replace_with = """<ueberschrift typ="g1" ct="text" halign="c">I. Verteilung des Gesellschaftsvermögens;</ueberschrift>"""

[[parser.replace_rules]]
find = """<ueberschrift typ="para" ct="text" halign="c">Wertansätze für Gegenstände des Anlagevermögens;</ueberschrift>"""
replace_with = """<ueberschrift typ="g1" ct="text" halign="c">I. Wertansätze für Gegenstände des Anlagevermögens;</ueberschrift>"""

[[parser.replace_rules]]
find = """<ueberschrift typ="para" ct="text" halign="c">Zusammenfassung von Eigenkapital und Beteiligungen</ueberschrift>"""
replace_with = """<ueberschrift typ="g1" ct="text" halign="c">I. Zusammenfassung von Eigenkapital und Beteiligungen</ueberschrift>"""

[[parser.replace_rules]]
find = """<ueberschrift typ="para" ct="text" halign="c">Zusammenfassung von Forderungen und Schulden verbundener Unternehmen</ueberschrift>"""
replace_with = """<ueberschrift typ="g1" ct="text" halign="c">I. Zusammenfassung von Forderungen und Schulden verbundener Unternehmen</ueberschrift>"""

[[parser.replace_rules]]
find = """<ueberschrift typ="para" ct="text" halign="c">Zusammenfassung von Aufwendungen und Erträgen verbundener Unternehmen</ueberschrift>"""
replace_with = """<ueberschrift typ="g1" ct="text" halign="c">I. Zusammenfassung von Aufwendungen und Erträgen verbundener Unternehmen</ueberschrift>"""

[[parser.replace_rules]]
find = """<ueberschrift typ="g2" ct="text" halign="c">Anteilmäßige Zusammenfassung der Jahresabschlüsse verbundener Unternehmen</ueberschrift><ueberschrift typ="g1min" ct="text" halign="c">(anteilmäßige Konsolidierung)</ueberschrift>"""
replace_with = """<ueberschrift typ="g2" ct="text" halign="c">Anteilmäßige Zusammenfassung der Jahresabschlüsse verbundener Unternehmen (anteilmäßige Konsolidierung)</ueberschrift>"""
